from zope.interface import Interface
from zope.interface import Attribute

from Products.Maps.interfaces.geolocation import IGeoLocation


class IMarker(IGeoLocation):
    """Interface for a map marker
    """

    title = Attribute("Title of this marker")

    description = Attribute("Short description of this marker")

    icon = Attribute("Icon for this marker")

    url = Attribute("URL used on the title")

    related_items = Attribute("Returns a list of dictionaries with the keys 'title' and 'url'")
